Bug 1611565 - Crash on right-click on local collection
Summary: Crash on right-click on local collection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-documents
Version: 7.6
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Debarshi Ray
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-02 11:29 UTC by Martin Krajnak
Modified: 2018-10-30 10:28 UTC (History)
2 users (show)

Fixed In Version: gnome-documents-3.28.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:27:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
thread apply all bt full (72.64 KB, text/plain)
2018-08-08 07:59 UTC, Martin Krajnak
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-documents issues 7 0 None None None 2018-08-24 11:49:26 UTC
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:28:00 UTC

Description Martin Krajnak 2018-08-02 11:29:08 UTC
Description of problem:
Gnome-documents crash when righ click on collection is performed.

Version-Release number of selected component (if applicable):
gnome-documents-3.28.1-1.el7.x86_64
gjs-1.52.3-1.el7.x86_64


How reproducible:
always

Steps to Reproduce:
1.Start gnome-documents
2.Create collection by right clicking on any document -> Collection -> Type name and confirm
3.Swith to the collection list
4.right click on collection

Actual results:

[test@localhost gnome-documents]$ gnome-documents 
Gjs-Message: 13:21:45.345: JS LOG: Can't find a valid getting started PDF document
**
Gdprivate:ERROR:../src/lib/gd-pdf-loader.c:199:pdf_load_job_from_uri: code should not be reached
Aborted (core dumped)

gdb output

(gdb) continue
Continuing.
[New Thread 0x7f1c27829700 (LWP 13833)]
[New Thread 0x7f1c27028700 (LWP 13835)]
[Thread 0x7f1c27829700 (LWP 13833) exited]

Program received signal SIGABRT, Aborted.
0x00007f1c74561207 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:55
55	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) backtrace 
#0  0x00007f1c74561207 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:55
#1  0x00007f1c745628f8 in __GI_abort () at abort.c:90
#2  0x00007f1c7732e665 in g_assertion_message (domain=domain@entry=0x7f1c27a91151 "Gdprivate", file=file@entry=0x7f1c27a916b8 "../src/lib/gd-pdf-loader.c", line=line@entry=199, func=func@entry=0x7f1c27a91710 "pdf_load_job_from_uri", message=message@entry=0x2133580 "code should not be reached") at gtestutils.c:2532
#3  0x00007f1c7732e6ca in g_assertion_message_expr (domain=0x7f1c27a91151 "Gdprivate", file=0x7f1c27a916b8 "../src/lib/gd-pdf-loader.c", line=199, func=0x7f1c27a91710 "pdf_load_job_from_uri", expr=<optimized out>) at gtestutils.c:2555
#4  0x00007f1c27a8dbda in  ()
    at /usr/lib64/gnome-documents/libgdprivate-1.0.so
#5  0x00007f1c77fd1dcc in ffi_call_unix64 () at ../src/x86/unix64.S:76
#6  0x00007f1c77fd16f5 in ffi_call (cif=<optimized out>, fn=<optimized out>, rvalue=0x7ffe1eac5de0, avalue=0x7ffe1eac5c80) at ../src/x86/ffi64.c:522
#7  0x00007f1c79d1d750 in gjs_invoke_c_function(JSContext*, Function*, JS::HandleObject, JS::HandleValueArray const&, mozilla::Maybe<JS::MutableHandle<JS::Value> >, GIArgument*) (context=context@entry=0x1a6e800, function=function@entry=0x247df60, obj=..., 
    obj@entry=..., args=..., js_rval=..., r_value=r_value@entry=0x0)
    at gi/function.cpp:1088
#8  0x00007f1c79d1ef6b in function_call(JSContext*, unsigned int, JS::Value*) (context=context@entry=0x1a6e800, js_argc=4, vp=0x1caaa60)
---Type <return> to continue, or q <return> to quit---
    at gi/function.cpp:1408
#9  0x00007f1c761a2527 in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) (args=..., native=
    0x7f1c79d1ee00 <function_call(JSContext*, unsigned int, JS::Value*)>, cx=0x1a6e800) at /usr/src/debug/firefox-52.9.0esr/js/src/jscntxtinlines.h:239
#10 0x00007f1c761a2527 in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) (cx=0x1a6e800, args=..., construct=js::NO_CONSTRUCT) at /usr/src/debug/firefox-52.9.0esr/js/src/vm/Interpreter.cpp:447
#11 0x00007f1c76195ea5 in Interpret(JSContext*, js::RunState&) (args=..., cx=<optimized out>)
    at /usr/src/debug/firefox-52.9.0esr/js/src/vm/Interpreter.cpp:510
#12 0x00007f1c76195ea5 in Interpret(JSContext*, js::RunState&) (cx=0x1a6e800, state=...) at /usr/src/debug/firefox-52.9.0esr/js/src/vm/Interpreter.cpp:2922
#13 0x00007f1c761a2059 in js::RunScript(JSContext*, js::RunState&) (cx=cx@entry=0x1a6e800, state=...)
    at /usr/src/debug/firefox-52.9.0esr/js/src/vm/Interpreter.cpp:405
#14 0x00007f1c761a22c0 in js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) (cx=cx@entry=0x1a6e800, args=..., construct=construct@entry=js::NO_CONSTRUCT)
    at /usr/src/debug/firefox-52.9.0esr/js/src/vm/Interpreter.cpp:477
#15 0x00007f1c761a25c8 in InternalCall(JSContext*, js::AnyInvokeArgs const&) (cx=cx@entry=0x1a6e800, args=...)
    at /usr/src/debug/firefox-52.9.0esr/js/src/vm/Interpreter.cpp:504
---Type <return> to continue, or q <return> to quit---
#16 0x00007f1c761a2629 in js::Call(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, js::AnyInvokeArgs const&, JS::MutableHandle<JS::Value>) (cx=cx@entry=0x1a6e800, fval=..., fval@entry=..., thisv=..., args=..., rval=..., 
    rval@entry=...)
    at /usr/src/debug/firefox-52.9.0esr/js/src/vm/Interpreter.cpp:523
#17 0x00007f1c75f90c4d in js::jit::InvokeFunction(JSContext*, JS::Handle<JSObject*>, bool, unsigned int, JS::Value*, JS::MutableHandle<JS::Value>) (cx=0x1a6e800, obj=..., constructing=<optimized out>, argc=<optimized out>, argv=0x7ffe1eac6f90, rval=...)
    at /usr/src/debug/firefox-52.9.0esr/js/src/jit/VMFunctions.cpp:114
#18 0x00001da8a786499c in  ()
#19 0x00007ffe1eac7050 in  ()
#20 0x00007ffe1eac6f40 in  ()
Python Exception <type 'exceptions.OverflowError'> long too big to convert: 
#21 0xffffffffffffffff in  ()#22 0x00007f1c772b4be0 in js::jit::InvokeFunctionInfo () at /lib64/libmozjs-52.so.0
#23 0x00007f1c6c6739a0 in  ()
#24 0x00001da8a78c0576 in  ()
#25 0x0000000000007820 in  ()
#26 0x00007f1c5c754780 in  ()
#27 0x0000000000000000 in  ()
(gdb) c                                                                                                                                                                                                           
Continuing.
[Thread 0x7f1c61ad5700 (LWP 13754) exited]
[Thread 0x7f1c6cf02700 (LWP 13753) exited]
[Thread 0x7f1c612d4700 (LWP 13755) exited]
[Thread 0x7f1c60ad3700 (LWP 13756) exited]
[Thread 0x7f1c602d2700 (LWP 13757) exited]
[Thread 0x7f1c5fad1700 (LWP 13758) exited]
[Thread 0x7f1c5f2d0700 (LWP 13759) exited]
[Thread 0x7f1c5eacf700 (LWP 13760) exited]
[Thread 0x7f1c5e0cb700 (LWP 13761) exited]
[Thread 0x7f1c5d8ca700 (LWP 13762) exited]
[Thread 0x7f1c36b0c700 (LWP 13763) exited]
[Thread 0x7f1c7a19ba80 (LWP 13751) exited]

Program terminated with signal SIGABRT, Aborted.
The program no longer exists.
(gdb) 


Expected results:
it should not crash

Additional info:

Comment 4 Tomas Pelka 2018-08-06 07:11:39 UTC
Pssoble dup of https://bugzilla.redhat.com/show_bug.cgi?id=1611555

Comment 5 Martin Krajnak 2018-08-08 07:59:40 UTC
Created attachment 1474191 [details]
thread apply all bt full

I am adding better backtrace requested by upstream developer, just note that the obtained backtrace is from Fedora28 (gnome-documents-3.28.1-1.fc28.x86_64) not from RHEL.

Comment 7 Debarshi Ray 2018-08-24 14:13:56 UTC
Here's a scratch build:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=18026028

Comment 8 Debarshi Ray 2018-08-24 14:22:28 UTC
Fixed in gnome-documents-3.28.2-1.el7:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=18026172

Comment 11 errata-xmlrpc 2018-10-30 10:27:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.